package com.tmerclub.cloud.order.vo;

import com.tmerclub.cloud.order.bo.OrderVirtualInfoLogBO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.util.List;

/**
 * @author TRACK
 */
public class OrderVirtualInfoLogVO {

    @Schema(description = "订单id")
    private Long orderId;

    @Schema(description = "核销记录")
    private List<OrderVirtualInfoLogBO> orderVirtualInfoList;

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public List<OrderVirtualInfoLogBO> getOrderVirtualInfoList() {
        return orderVirtualInfoList;
    }

    public void setOrderVirtualInfoList(List<OrderVirtualInfoLogBO> orderVirtualInfoList) {
        this.orderVirtualInfoList = orderVirtualInfoList;
    }

    @Override
    public String toString() {
        return "OrderVirtualInfoLogVO{" +
                "orderId=" + orderId +
                ", orderVirtualInfoList=" + orderVirtualInfoList +
                '}';
    }
}
